**Source URL:** https://limited.veevavault.dev/quality/vault-api/api-reference/24.2/documents/document-annotations/retrieve-annotation-reference-type-metadata.md

# Retrieve Annotation Reference Type Metadata



Retrieves the metadata of a specified annotation reference type. Learn more about [reference types in the Vault Java SDK documentation](/library/references/about-annotations/#Annotation_References).

<Endpoint path="/api/{version}/metadata/objects/documents/annotations/references/types/{reference_type}" method="GET"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{reference_type}` | The name of the reference type. For example, `permalink__sys`. Learn more about [reference types in the Vault Java SDK documentation](/library/references/about-annotations/#Annotation_References). |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v24.2/metadata/objects/documents/annotations/references/types/document__sys \

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
    "responseStatus": "SUCCESS",
    "data": {
        "name": "document__sys",
        "fields": [
            {
                "name": "annotation__sys",
                "type": "String",
                "system_managed": false,
                "value_set": []
            },
            {
                "name": "document_version_id__sys",
                "type": "String",
                "system_managed": false,
                "value_set": []
            },
            {
                "name": "type__sys",
                "type": "String",
                "system_managed": true,
                "value_set": [
                    "document__sys"
                ]
            }
        ]
    }
}

```
</CodeExample>

## Response Details {#response-details}

On `SUCCESS`, the response includes a list of annotations of the specified type(s) for the document version. Each Annotation object may include some or all of the following fields depending on type:



---

**Previous:** [Retrieve Annotation Placemark Type Metadata](/quality/vault-api/api-reference/24.2/documents/document-annotations/retrieve-annotation-placemark-type-metadata)  
**Next:** [Create Multiple Annotations](/quality/vault-api/api-reference/24.2/documents/document-annotations/create-multiple-annotations)